﻿using Hotline.Share.Requests;

namespace Hotline.Share.Dtos.Bi
{
    public record VisitAndOrgSatisfactionDetailDto : PagedRequest
    {
        public DateTime StartTime { get; set; }
        public DateTime EndTime { get; set; }
        public string OrgCode { get; set; }
        public int TypeId { get; set; }
        public string DateValue { get; set; }

        public string? LineNum { get; set; }

        /// <summary>
        /// 是否只看自己（优先级最高）
        /// </summary>
        public bool? IsOnlyMy { get; set; }
    }

    public record HighFrequencyCallStatisticsRequest : PagedRequest
    {
        public DateTime? StartTime { get; set; }
        public DateTime? EndTime { get; set; }

        public string? PhoneNum { get; set; }
    }

    public record HighMatterWarningRequest : PagedRequest
    {
        public DateTime StartTime { get; set; }
        public DateTime EndTime { get; set; }

        public List<string> HotspotIds { get; set; } = new();

        public List<string> AreaCodes { get; set; } = new();

        public List<string> AcceptTypeCodes { get; set; } = new();
    }

    public record HighMatterWarningDetailRequest : PagedRequest
    {
        public DateTime StartTime { get; set; }
        public DateTime EndTime { get; set; }

        public string HotspotId { get; set; }

        public string AreaCode { get; set; }

        public string AcceptTypeCode { get; set; }
    }
}
