﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Hotline.Share.Enums.FlowEngine;
using Hotline.Share.Requests;

namespace Hotline.Share.Dtos.FlowEngine.Workflow
{
    /// <summary>
    /// 分页查询会签信息
    /// </summary>
    /// <param name="IsOnlyStarter">根据发起人过滤会签信息</param>
    /// <param name="IsProvince"></param>
    public record QueryWorkflowCountersignDto(bool IsOnlyStarter, bool? IsProvince) : PagedKeywordRequest;

    public record QueryOrderCountersignDto : PagedKeywordRequest
    {
        /// <summary>
        /// 发起的会签
        /// </summary>
        public bool? InitiatedCountersignature { get; set; }

        /// <summary>
        /// 会签已办
        /// </summary>
        public bool? HandleCountersignature { get; set; }

        /// <summary>
        /// 标题
        /// </summary>
        public string? Title { get; set; }

        /// <summary>
        /// 工单编码
        /// </summary>
        public string? OrderNo { get; set; }

        /// <summary>
        /// 受理类型（√）
        /// </summary>
        public List<string> AcceptTypes { get; set; } = new();

        /// <summary>
        /// 来源渠道（√）
        /// </summary>
        public List<string> Channels { get; set; } = new();

        /// <summary>
        /// 会签类型
        /// </summary>
        public ECounterSignType? CounterSignType { get; set; }

        /// <summary>
        /// 接办部门
        /// </summary>
        public string? OrgName { get; set; }

        /// <summary>
        /// 热点分类（√）
        /// </summary>
        public List<string> HotspotIds { get; set; } = new();
    }
}
