﻿using Hotline.Share.Requests;

namespace Hotline.Share.Dtos.Order
{
    /// <summary>
    /// 政民互动查询
    /// </summary>
    public record OrderProvinceZmhdDto : PagedRequest
    {
        /// <summary>
        /// 工单编号
        /// </summary>
        public string? No { get; set; }

        /// <summary>
        /// 省工单编号
        /// </summary>
        public string? ProvinceNo { get; set; }

        /// <summary>
        /// 工单标题
        /// </summary>
        public string? Title { get; set; }

        /// <summary>
        /// 答复部门名称
        /// </summary>
        public string? AnswerOu { get; set; }

        /// <summary>
        /// 初审人姓名
        /// </summary>
        public string? AuditFirstName { get; set; }

        /// <summary>
        /// 审核开始时间
        /// </summary>
        public DateTime? StartTime { get; set; }
        /// <summary>
        /// 审核结束时间
        /// </summary>
        public DateTime? EndTime { get; set; }

        /// <summary>
        /// 是否政民互动公开
        /// </summary>
        public bool? IsProvinceZmhd { get; set; }
    }

    public class AddOrderProvinceZmhdDto
    {
        /// <summary>
        /// 工单Id
        /// </summary>
        public string OrderId { get; set; }

        /// <summary>
        /// 整理结果
        /// </summary>
        public string AnswerContent { get; set; }

        /// <summary>
        /// 公开意见(长度300)
        /// </summary>
        public string? PublicOpinion { get; set; }
    }

    public class PublicOrderProvinceZmhdDto
    {
        /// <summary>
        /// Id
        /// </summary>
        public string Id { get; set; }

        /// <summary>
        /// 工单编号
        /// </summary>
        public string No { get; set; }

        /// <summary>
        /// 省工单编号
        /// </summary>
        public string ProvinceNo { get; set; }

        /// <summary>
        /// 工单Id
        /// </summary>
        public string OrderId { get; set; }

        /// <summary>
        /// 工单标题
        /// </summary>
        public string Title { get; set; }

        /// <summary>
        /// 部门答复时间
        /// </summary>
        public DateTime? AnswerTime { get; set; }

        /// <summary>
        /// 答复部门名称
        /// </summary>
        public string AnswerOu { get; set; }

        /// <summary>
        /// 答复内容
        /// </summary>
        public string AnswerContent { get; set; }

        /// <summary>
        /// 初审人姓名
        /// </summary>
        public string? AuditFirstName { get; set; }

        /// <summary>
        /// 初审时间
        /// </summary>
        public DateTime? AuditFirstTime { get; set; }

        /// <summary>
        /// 二审人姓名
        /// </summary>
        public string? AuditSecondName { get; set; }

        /// <summary>
        /// 公开时间
        /// </summary>
        public DateTime? PublishDate { get; set; }

        /// <summary>
        /// 公开意见
        /// </summary>
        public string? PublicOpinion { get; set; }
    }
}
