﻿using Hotline.Share.Requests;

namespace Hotline.Share.Dtos.Order.Publish;

public record QueryOrderPublishDto : PagedKeywordRequest
{
    /// <summary>
    /// 发布状态
    /// </summary>
    public EPubState? PubState { get; set; }

    /// <summary>
    /// 工单编号
    /// </summary>
    public string? No { get; set; }

    /// <summary>
    /// 发布范围
    /// </summary>
    public EPublicState? PubRange { get; set; }

    /// <summary>
    /// 受理类型
    /// </summary>
    public List<string>? AcceptTypes { get; set; } = new();

    /// <summary>
    /// 热点分类
    /// </summary>
    public List<string>? HotspotIds { get; set; } = new();

    /// <summary>
    /// 受理时间(工单创建时间)
    /// </summary>
    public DateTime? CreationTimeStart { get; set; }
    public DateTime? CreationTimeEnd { get; set; }

    /// <summary>
    /// 归档时间
    /// </summary>
    public DateTime? FiledTimeStart { get; set; }
    public DateTime? FiledTimeEnd { get; set; }

    /// <summary>
    /// 归档方式
    /// </summary>
    public FiledType? FiledType { get; set; }

    /// <summary>
    /// 是否会签
    /// </summary>
    public bool? IsCountersign { get; set; }

    /// <summary>
    /// 是否解决
    /// </summary>
    public bool? Resolve { get; set; }

    /// <summary>
    /// 是否只查询自己的待发布工单
    /// </summary>
    public bool? QuerySelf { get; set; }
}