﻿using Hotline.Share.Requests;

namespace Hotline.Share.Dtos.ProvinceStatistics
{
    public record QueryProvinceSendBackDto : PagedRequest
    {
        /// <summary>
        /// 本地编号
        /// </summary>
        public string? No { get; set; }

        /// <summary>
        /// 标题
        /// </summary>
        public string? Title { get; set; }

        /// <summary>
        /// 省编号
        /// </summary>
        public string? ProvinceNo { get; set; }

        /// <summary>
        /// 申请人
        /// </summary>
        public string ApplyUserName { get; set; }

        /// <summary>
        /// 申请时间
        /// </summary>
        public DateTime? ApplyStartTime { get; set; }

        /// <summary>
        /// 申请时间
        /// </summary>
        public DateTime? ApplyEndTime { get; set; }

        /// <summary>
        ///  审核结果  0  待审核  1 审核通过  2 审核不通过
        /// </summary>
        public int State { get; set; } = 0;
    }

    /// <summary>
    /// 督办
    /// </summary>
    public record QueryProvinceSuperviseDto : PagedRequest
    {
        /// <summary>
        /// 本地编号
        /// </summary>
        public string? No { get; set; }

        /// <summary>
        /// 标题
        /// </summary>
        public string? Title { get; set; }

        /// <summary>
        /// 省编号
        /// </summary>
        public string? ProvinceNo { get; set; }

        /// <summary>
        /// 督办标题
        /// </summary>
        public string? SuperviseTitle { get; set; }

        /// <summary>
        /// 申请时间
        /// </summary>
        public DateTime? ApplyStartTime { get; set; }

        /// <summary>
        /// 申请时间
        /// </summary>
        public DateTime? ApplyEndTime { get; set; }

        /// <summary>
        /// 被督办部门名称
        /// </summary>
        public string OrgName { get; set; }

        /// <summary>
        /// 反馈时间
        /// </summary>
        public DateTime? ReplyStartTime { get; set; }

        /// <summary>
        /// 反馈时间
        /// </summary>
        public DateTime? ReplyEndTime { get; set; }

        /// <summary>
        ///  督办状态  0 待回复  1 已回复
        /// </summary>
        public int? State { get; set; }
    }
}
