﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Hotline.Share.Enums.Settings;
using XF.Utility.EnumExtensions;

namespace Hotline.Share.Dtos.Settings
{
    public class TimeConfig
    {
        public TimeConfig()
        {
            
        }

        public TimeConfig(int count, ETimeType timeType)
        {
            Count = count;
            TimeType = timeType;
            TimeText = $"{count}个{timeType.GetDescription()}";
        }

        public int Count { get; set; }
        public ETimeType TimeType { get; set; }
        public string TimeText { get; set; }
    }

    public class ExpiredTimeWithConfig : TimeConfig
    {
        public DateTime ExpiredTime { get; set; }
        /// <summary>
        /// 即将超期时间
        /// </summary>
        public DateTime NearlyExpiredTime { get; set; }

        /// <summary>
        /// 即将超期时间第一级
        /// </summary>
        public DateTime NearlyExpiredTimeOne { get; set; }
    }
}
