﻿using System.ComponentModel;

namespace Hotline.Share.Enums.CallCenter;

/// <summary>
/// 分机状态
/// </summary>
public enum ETelStatus
{
    /// <summary>
    /// 空闲可用
    /// </summary>
    [Description("空闲")]
    Ready = 0,
    /// <summary>
    /// 振铃、回铃或通话中(外部对接无效)
    /// </summary>
    [Description("繁忙")]
    Active = 10,
    /// <summary>
    /// 模拟分机摘机后等待拨号以及拨号过程中
    /// </summary>
    Progress = 20,
    /// <summary>
    /// 分机离线
    /// </summary>
    [Description("离线")]
    Offline = 30,
    /// <summary>
    /// 模拟分机听催挂音时的状态
    /// </summary>
    Offhook = 40,

    /// <summary>
    /// 通话进行中
    /// </summary>
    [Description("通话进行中")]
    Talk = 50,

    /// <summary>
    /// 呼叫等待中
    /// </summary>
    [Description("呼叫等待中")]
    Wait = 60,

}