﻿using System.ComponentModel;

namespace Hotline.Share.Enums.FlowEngine;

/// <summary>
/// 动态实例化策略
/// </summary>
public enum EDynamicPolicy
{
    /// <summary>
    /// 直属上级部门（中心作为顶级部门）
    /// </summary>
    [Description("直属上级（中心作为顶级部门）")]
    OrgUpCenterTop = 0,

    /// <summary>
    /// 直属上级（中心作为一级部门）
    /// </summary>
    [Description("直属上级（中心作为一级部门）")]
    OrgUp = 1,

    /// <summary>
    /// 直属下级部门（中心作为顶级部门）
    /// </summary>
    [Description("直属下级（中心作为顶级部门）")]
    OrgDownCenterTop = 2,

    /// <summary>
    /// 直属下级（中心作为一级部门）
    /// </summary>
    [Description("直属下级（中心作为一级部门）")]
    OrgDown = 3,
}