﻿using Hotline.Share.Enums.KnowledgeBase;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XF.Domain.Repository;

namespace Hotline.KnowledgeBase
{
	[Description("知识库提问")]
	public class KnowledgeQuestions : FullStateEntity
	{
		/// <summary>
		/// 知识库ID
		/// </summary>
		[SugarColumn(ColumnDescription = "知识库ID")]
		public string KnowledgeId { get; set; }

		/// <summary>
		/// 知识库
		/// </summary>
		[Navigate(NavigateType.OneToOne, nameof(KnowledgeId))]
		public Knowledge Knowledge { get; set; }


		/// <summary>
		/// 提问内容
		/// </summary>
		[SugarColumn(ColumnDescription = "提问内容", ColumnDataType = "varchar(2000)")]
		public string? Content { get; set; }

		/// <summary>
		/// 答复人名称
		/// </summary>
		[SugarColumn(ColumnDescription = "答复人名称")]
		public string? ReplyUserName { get; set; }

		/// <summary>
		/// 答复时间
		/// </summary>
		[SugarColumn(ColumnDescription = "答复时间")]
		public DateTime? ReplyTime { get; set; }

		/// <summary>
		/// 答复内容
		/// </summary>
		[SugarColumn(ColumnDescription = "纠错内容", ColumnDataType = "varchar(2000)")]
		public string? ReplyContent { get; set; }

		/// <summary>
		/// 答复状态
		/// </summary>
		[SugarColumn(ColumnDescription = "答复状态")]
		public ECorrectionState State { get; set; } = ECorrectionState.Unanswered;
	}
}
