﻿using SqlSugar;
using XF.Domain.Repository;

namespace Hotline.Orders
{
    public class OrderPublishHistory: CreationEntity
    {
        /// <summary>
        /// 工单编号（冗余）
        /// </summary>
        public string No { get; set; }

        /// <summary>
        /// 工单ID
        /// </summary>
        public string OrderId { get; set; }

        /// <summary>
        /// 发布ID
        /// </summary>
        public string OrderPublishId { get; set; }

        /// <summary>
        /// 工单
        /// </summary>
        [Navigate(NavigateType.OneToOne, nameof(OrderId))]
        public Order Order { get; set; }

        /// <summary>
        /// 整改标题修改前
        /// </summary>
        public string ArrangeTitleBefor { get; set; }

        /// <summary>
        /// 整理标题修改后
        /// </summary>
        public string ArrangeTitleAfter { get; set; }

        /// <summary>
        /// 整理内容修改前
        /// </summary>
        [SugarColumn(ColumnDataType = "varchar(8000)")]
        public string ArrangeContentBefor { get; set; }

        /// <summary>
        /// 整理内容修改后
        /// </summary>
        [SugarColumn(ColumnDataType = "varchar(8000)")]
        public string ArrangeContentAfter { get; set; }

        /// <summary>
        /// 整理结果修改前
        /// </summary>
        [SugarColumn(ColumnDataType = "varchar(8000)")]
        public string ArrangeOpinionBefor { get; set; }

        /// <summary>
        /// 整理结果修改后
        /// </summary>
        [SugarColumn(ColumnDataType = "varchar(8000)")]
        public string ArrangeOpinionAfter { get; set; }

        /// <summary>
        /// 发布范围
        /// </summary>
        public bool? PublishStateBefor { get; set; }

        /// <summary>
        /// 发布范围
        /// </summary>
        public bool? PublishStateAfter { get; set; }

    }
}
