﻿namespace Hotline.Settings;

/// <summary>
/// 字典类型编码
/// </summary>
public class SysDicTypeConsts
{
    /// <summary>
    /// 证件类型（字典）
    /// </summary>
    public const string LicenceType = "LicenceType";

    /// <summary>
    /// 提供方身份类型（字典）
    /// </summary>
    public const string ProviderIdentityType = "ProviderIdentityType";

    /// <summary>
    /// 提供方身份（字典）
    /// </summary>
    public const string Identity = "Identity";

    /// <summary>
    /// 国籍/地区（字典）
    /// </summary>
    public const string Nationality = "Nationality";

    /// <summary>
    /// 民族（字典）
    /// </summary>
    public const string Nation = "Nation";

    /// <summary>
    /// 市场主体类型（字典）
    /// </summary>
    public const string MarketType = "MarketType";

    /// <summary>
    /// 行业分类（数据错误（编码重复））
    /// </summary>
    public const string IndustryClassify = "IndustryClassify";

    /// <summary>
    /// 商品分类/品牌（字典）
    /// </summary>
    public const string Brand = "Brand";

    /// <summary>
    /// 客体类别（字典）
    /// </summary>
    public const string ObjectClassify = "ObjectClassify";

    /// <summary>
    /// 销售方式（字典）
    /// </summary>
    public const string SalesMode = "SalesMode";

    /// <summary>
    /// 电商平台（字典）
    /// </summary>
    public const string ECommercePlatform = "ECommercePlatform";

    /// <summary>
    /// 投诉问题类别（字典）
    /// </summary>
    public const string ComplainClassify = "ComplainClassify";

    /// <summary>
    /// 举报问题类别（字典）
    /// </summary>
    public const string ReportClassify = "ReportClassify";

    /// <summary>
    /// 年龄段（字典）
    /// </summary>
    public const string AgeRange = "AgeRange";

    /// <summary>
    /// 来源渠道（省：诉求渠道）
    /// </summary>
    public const string SourceChannel = "SourceChannel";

    /// <summary>
    /// 工单类型
    /// </summary>
    public const string OrderType = "OrderType";

    /// <summary>
    /// 紧急程度
    /// </summary>
    public const string Urgency = "Urgency";

    /// <summary>
    /// 专利类型
    /// </summary>
    public const string PatentType = "PatentType";

    /// <summary>
    /// 推送分类
    /// </summary>
    public const string PushType = "PushType";

    /// <summary>
    /// 投诉举报目标
    /// </summary>
    public const string AffairTarget = "AffairTarget";

    /// <summary>
    /// 回访满意度
    /// </summary>
    public const string VisitSatisfaction = "VisitSatisfaction";

    /// <summary>
    /// 不满意原因
    /// </summary>
    public const string DissatisfiedReason = "DissatisfiedReason";

    /// <summary>
    /// 回访态度
    /// </summary>
    public const string VisitManner = "VisitManner";

    /// <summary>
    /// 流程节点组件
    /// </summary>
    public const string WorkflowStepComponent = "WorkflowStepComponent";

    /// <summary>
    /// 工单重办理由
    /// </summary>
    public const string OrderRedoReason = "OrderRedoReason";

    /// <summary>
    /// 销售渠道
    /// </summary>
    public const string SalesChannel = "SalesChannel";

    /// <summary>
    /// 附件分类
    /// </summary>
    public const string FileClassify = "FileClassify";

    /// <summary>
    /// 甄别申请类型
    /// </summary>
    public const string ScreenType = "ScreenType";

    /// <summary>
    /// 工单受理类型
    /// </summary>
	public const string AcceptType = "AcceptType";

    /// <summary>
    /// 质检项目分组
    /// </summary>
    public const string QualityItemGrouping = "QualityItemGrouping";

	/// <summary>
	/// 违禁词分类
	/// </summary>
	public const string ProhibitedClassify = "ProhibitedClassify";

	/// <summary>
	/// 违禁词属性
	/// </summary>
	public const string ProhibitedType = "ProhibitedType";

    /// <summary>
    /// 公告类型
    /// </summary>      
    public const string BulletinType = "BulletinType";

    /// <summary>
    /// 公告范围
    /// </summary>
    public const string BulletinPushRange = "BulletinPushRange";

	/// <summary>
	/// 通知类型
	/// </summary>
	public const string CircularType = "CircularType";

    /// <summary>
    /// 工单词性分类
    /// </summary>
    public const string OrderWordClassify = "OrderWordClassify";
    /// <summary>
    /// 知识库词性分类
    /// </summary>
    public const string KnowledgeWordClassify = "KnowledgeWordClassify";

    /// <summary>
    /// 小休原因
    /// </summary>
    public const string RestReason = "RestReason";

    /// <summary>
    /// 特提原因
    /// </summary>
    public const string SpecialReason = "SpecialReason";

    /// <summary>
    /// 网民评价类型
    /// </summary>
    public const string NetizenEvaluateType = "NetizenEvaluateType";


	/// <summary>
	/// 市州工单互转
	/// </summary>
	public const string TranspondCity = "TranspondCity";

	/// <summary>
	/// 错件类型
	/// </summary>
	public const string ReTransactErrorType = "ReTransactErrorType";

    /// <summary>
    /// 行政司法指定部门
    /// </summary>
    public const string JudicialManagementOrg = "JudicialManagementOrg";

	/// <summary>
	/// 通话转接来源
	/// </summary>
	public const string CallForwardingSource = "CallForwardingSource";

	/// <summary>
	/// 通话转接分类
	/// </summary>
	public const string CallForwardingType = "CallForwardingType";
}