﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XF.Domain.Repository;

namespace Hotline.Settings
{
	[Description("操作日志")]
	public class SystemLog : FullStateEntity
	{
		/// <summary>
		/// 操作名称
		/// </summary>
		public string Name { get; set; }	

		/// <summary>
		/// 执行状态(0失败 1成功) 
		///</summary>
		public int? Status { get; set; }
		/// <summary>
		/// 备注 
		///</summary>
		public string? Remark { get; set; }
		/// <summary>
		/// 接口地址 
		///</summary>
		public string? ExecuteUrl { get; set; }

		/// <summary>
		/// ip地址 
		///</summary>
		public string? IpUrl { get; set; }
		/// <summary>
		/// 请求参数 
		///</summary>
		[SugarColumn(ColumnDataType = "json", IsJson = true)]
		public string? ExecuteParam { get; set; }
		/// <summary>
		/// 请求结果 
		///</summary>
		[SugarColumn(ColumnDataType = "json", IsJson = true)]
		public string? ExecuteResult { get; set; }
	}
}
