﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XF.Domain.Extensions;

public static class DataMaskExtensions
{
    public static string Mask(this string original, int startIndex = 0, int length = 4)
    {
        var headStr = original.Substring(0, startIndex);
        var tailStr = original.Substring(startIndex + length);
        var sb = new StringBuilder(length);
        for (int i = 0; i < length; i++)
        {
            sb.Append('*');
        }

        return $"{headStr}{sb}{tailStr}";
    }

    public static string MaskPhoneNumber(this string original)
    {
        if (original.Length != 11) return string.Empty;
        return original.Mask(3, 4);
    }

    public static string MaskIdCard(this string original)
    {
        return original.Mask(3, 12);
    }
}